// 取合同金额最大值
const setPriceMax = (num) => {
  console.log(num)
  // 1.判断是否小数：  //判断是否含有小数点：要检索的字符串值没有出现，则该方法返回 -1。
  if (num.toString().indexOf(".") != -1) {//有小数点
    num = Math.ceil(num);//向上取整 
  }
  // 2.向上取整数倍
  if (num.toString().length < 2) {
    // 一位数1
    num = 10;
  } else if (num.toString().length < 3) {
    // 2位数
    num = Math.ceil(num / 5) * 5;// 变成最近的5的倍数
  } else {
    // 位数--先判断是不是1000...的倍数
    var t = '';
    for (let i = 0; i < num.toString().length - 1; i++) {
      t += '0';//'0000...'
    }
    if ((num % Number(1 + t)) != 0) {//不是100的倍数
      num = (Number(num.toString().substr(0, 1)) + 1) * Number(1 + t);
    }
  }
  return num
}
// 取合同数量最大值
const setNumberMax = (num) => {
  console.log(num)
  // 1.判断是否小数：  //判断是否含有小数点：要检索的字符串值没有出现，则该方法返回 -1。
  if (num.toString().indexOf(".") != -1) {//有小数点
    num = Math.ceil(num);//向上取整 
  }
  // 2.向上取整数倍
  // if (num.toString().length < 2) {
  //   // 一位数1
  //   num = num;
  // } else 
  if (num.toString().length < 3) {
    // 2位数
    num = Math.ceil(num / 5) * 5;// 变成最近的5的倍数
  } else {
    // 位数--先判断是不是1000...的倍数
    var t = '';
    for (let i = 0; i < num.toString().length - 1; i++) {
      t += '0';//'0000...'
    }
    if ((num % Number(1 + t)) != 0) {//不是100的倍数
      num = (Number(num.toString().substr(0, 1)) + 1) * Number(1 + t);
    }
  }
  return num
}

export { setPriceMax, setNumberMax }

// export function xxx (){
//   xxx
//   return xxx
// }